use std::fs;

const LABEL_SEPARATOR:char = ':';
const RACE_SEPARATOR:char = ' ';

const FILE_NAME:&str = "./data/data.txt";
fn main() {
    let file_contents = fs::read_to_string(FILE_NAME).unwrap();
    let lines:Vec<&str> = file_contents.split('\n').collect();
    let mut final_output = 1;
    let (_,allowed_times_str) = lines.get(0).unwrap().split_once(LABEL_SEPARATOR).unwrap();
    let (_,record_distances_str) = lines.get(1).unwrap().split_once(LABEL_SEPARATOR).unwrap();

    let unfiltered_allowed_times = allowed_times_str.split(RACE_SEPARATOR);
    let unfiltered_record_dist = record_distances_str.split(RACE_SEPARATOR);
    let allowed_times:Vec<&str> = unfiltered_allowed_times.filter(|x| !x.is_empty()).collect();
    let record_dists:Vec<&str> = unfiltered_record_dist.filter(|x| !x.is_empty()).collect();

    for i in 0..allowed_times.len(){
        let max_time:usize = (*allowed_times.get(i).unwrap()).parse().unwrap();
        let min_dist:usize = (*record_dists.get(i).unwrap()).parse().unwrap();

        let mut possible_win_options:usize = 0;
        for j in 0..max_time{
            let traveled_dist = (max_time-j)*j;
            if traveled_dist > min_dist{
                possible_win_options += 1;
            }
        }
        final_output *= possible_win_options;

    }


    println!("{}",final_output);
}
